Download it now!
Bug 61232 - Bulgarian template.bau is corrupted
Summary: Bulgarian template.bau is corrupted
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:4.1.0.0.beta2 target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-21 14:37 UTC by Andras Timar
Modified: 2013-05-29 20:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2013-02-21 14:37:51 UTC
timar@timar-WIN7 /cygdrive/c/lo/libo-master
$ zip -T extras/source/autotext/lang/bg/template.bau
  error:  invalid compressed data to inflate +BBcEEQ-1+BCE-/Pictures/2000001B00000CD200000CED63AA5866.svm
  error:  invalid compressed data to inflate +BBcEEQQU-/Pictures/2000001B00000CD200000CED63AA5866.svm
  error:  invalid compressed data to inflate +BBcEEQ-/Pictures/2000001B00000CD200000CED63AA5866.svm
test of extras/source/autotext/lang/bg/template.bau FAILED

zip error: Zip file invalid, could not spawn unzip, or wrong unzip (original files unmodified)

timar@timar-WIN7 /cygdrive/c/lo/libo-master
$ git log extras/source/autotext/lang/bg/template.bau
commit 6ee76ea0803777ef70ea19f124ba1e3625539039
Author: Rüdiger Timm <rt@openoffice.org>
Date:   Tue Jun 21 09:11:02 2005 +0000

    INTEGRATION: CWS pj29 (1.1.2); FILE ADDED
    2005/06/06 20:07:10 pjanik 1.1.2.1: #i50084#: New Bulgarian extras for 2.0.

So, it is broken, and it has been broken since 2005, when it was contributed to the source code. Bulgarian translators may want to have a look at this file, it looks outdated compared to English, for example it still uses StarOffice butterfly artwork.
Comment 1 Commit Notification 2013-05-29 20:21:18 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=87e3cc55cb0b5a1b974800e9b54bfd676a776485&h=libreoffice-4-1

fdo#61232 update Bulgarian AutoText templates


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2013-05-29 20:21:37 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cdc0733e83196c39998163d4e6ca2430c7ac03e1

fdo#61232 update Bulgarian AutoText templates



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.